using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Presentation.Interfaces;
using System.Windows;
using TellerSystem.Library.Ext.TradeExtension;

namespace TellerSystem.Contract.Function
{
    /// <summary>
    /// 授权相关数据存取帮助类
    /// </summary>
    public class AuthDataHelper : WorkFlowDataHelper
    {
        public AuthDataHelper(IPage page):base(page)
        { 

        }
        #region 授权相关总线标志数据
       
       
        //授权类型:preauth预授权；auth 授权
        public string AuthType
        {
            get
            {
                return tradeBusData["AuthType"];
            }
            set
            {
                tradeBusData["AuthType"] = value;
            }
        }
        //授权记录ID
        public string AuthId
        {
            get
            {
                return tradeBusData["AuthId"];
            }
            set
            {
                tradeBusData["AuthId"] = value;
            }
        }
        //预授权记录ID
        public string PreAuthId
        {
            get
            {
                return tradeBusData["PreAuthId"];
            }
            set
            {
                tradeBusData["PreAuthId"] = value;
            }
        }
        //授权方式：local 本地授权;remote 远程授权
        public string AuthWay
        {
            get
            {
                return tradeBusData["AuthWay"];
            }
            set
            {
                tradeBusData["AuthWay"] = value;
            }
        }
       
        //授权模式(一定规则的表达式)
        public string AuthMode
        {
            get
            {
                return tradeBusData["AuthMode"];
            }
            set
            {
                tradeBusData["AuthMode"] = value;
            }
        }
       
        //授权柜员
        public string AuthTeller
        {
            get
            {
                return tradeBusData["AuthTeller"];
            }
            set
            {
                tradeBusData["AuthTeller"] = value;
            }
        }
        //授权柜员
        public string AuthTellerName
        {
            get
            {
                return tradeBusData["AuthTellerName"];
            }
            set
            {
                tradeBusData["AuthTellerName"] = value;
            }
        }
        //授权柜员2
        public string AuthTeller2
        {
            get
            {
                return tradeBusData["AuthTeller2"];
            }
            set
            {
                tradeBusData["AuthTeller2"] = value;
            }
        }
        //授权附言
        public string Comments
        {
            get
            {
                return tradeBusData["Comments"];
            }
            set
            {
                tradeBusData["Comments"] = value;
            }
        }
        //授权结果：true 通过；false 不通过
        public string AuthFlag
        {
            get
            {
                return tradeBusData["AuthFlag"];
            }
            set
            {
                tradeBusData["AuthFlag"] = value;
            }
        }
        //指定授权柜员
        public string AppointTeller
        {
            get
            {
                return tradeBusData["AppointTeller"];
            }
            set
            {
                tradeBusData["AppointTeller"] = value;
            }
        }
        //授权原因描述
        public string AuthReason
        {
            get
            {
                return tradeBusData["AuthReason"];
            }
            set
            {
                tradeBusData["AuthReason"] = value;
            }
        }
        //授权人数
        public string AuthPersonNum
        {
            get
            {
                return tradeBusData["AuthPersonNum"];
            }
            set
            {
                tradeBusData["AuthPersonNum"] = value;
            }
        }
        //清理总线中授权相关数据
        public void ClearAuthData()
        {
            base.ClearWorkFlowData();
            tradeBusData.Remove("AuthType");
            tradeBusData.Remove("AuthId");
            tradeBusData.Remove("AuthWay");
            tradeBusData.Remove("AuthMode");
            tradeBusData.Remove("Comments");
            tradeBusData.Remove("AuthFlag");
            tradeBusData.Remove("AppointTeller");
            tradeBusData.Remove("AuthReason");
            tradeBusData.Remove("AuthTeller");
            tradeBusData.Remove("AuthPersonNum");
            tradeBusData.Remove("AuthTeller2");
            tradeBusData.Remove("AuthTellerName");
            tradeBusData.Remove("PreAuthId");
        }
        #endregion

    }
}
